<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <title>Getting Started Service Web Content</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
</head>
<body>
<div th:replace="nav.html :: body"></div>
<div class="container">
        <h1 align="center">Friends</h1>
        <form th:action="@{/create-new-friend}" method="GET">
            <input type="submit" class="btn btn-success btn-block" style="margin-bottom: 10px" value="Add new friend"/>
        </form>
        <h2 align="center">Invites List</h2>
        <table class="table table-striped" data-toggle="table">
            <thead>
            <tr>
                <th>Invites to friend list</th>
            </tr>
            </thead>
            <tbody id="tableFilterInvites">
            <tr th:each="oneFriend, iter : ${userInvitesSet}">
                <td th:text="${oneFriend.getUserName()}">

                </td>
                <td>
                    <a class="btn btn-success btn-lg" th:href="@{'/add-to-friend-list?id=' + ${oneFriend.getUserId()}}">
                        <span>Add to friend list</span>
                    </a>
                </td>
            </tr>
            </tbody>
        </table>
        <h2 align="center">Friends List</h2>
        <table class="table table-striped" data-toggle="table">
            <thead>
            <tr>
                <th>name</th>
            </tr>
            </thead>
            <tbody id="tableFilter">
            <tr th:each="oneFriend, iter : ${userFriendsSet}">
                <td th:text="${oneFriend.login}">
                </td>
                <td>
                    <a class="btn btn-danger btn-lg" th:href="@{'/delete-friend?id=' + ${oneFriend.id}}">
                        <span>Delete Friend</span>
                    </a>
                </td>
            </tr>
            <tr th:each="oneFriendOf, iter : ${userFriendOfSet}">
                <td th:text="${oneFriendOf.login}">
                </td>
                <td>
                    <a class="btn btn-danger btn-lg" th:href="@{'/delete-friend?id=' + ${oneFriendOf.id}}">
                        <span>Delete Friend</span>
                    </a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</body>
</html>
